//
//  AppDelegate.h
//  SpeakEasy
//
//  Created by Holger Hinzberg on 14.02.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface AppDelegate : 
NSObject <NSApplicationDelegate , NSSpeechSynthesizerDelegate>
{
    // Das ist der Sprachsynthesizer
    NSSpeechSynthesizer *speechSynth;
}

@property (assign) IBOutlet NSWindow *window;
@property (weak) IBOutlet NSTextField *inputText;
@property (weak) IBOutlet NSButton *speakButton;
@property (weak) IBOutlet NSButton *stopButton;
// Ein NSPopUpButton zur Auswahl der Stimmen
@property (weak) IBOutlet NSPopUpButton *voicesPopUpButton;

- (IBAction)speakButtonClicked:(id)sender;
- (IBAction)stopButtonClicked:(id)sender;
// Eine Stimme wurde ausgewählt
- (IBAction)voiceSelected:(id)sender;

@end
